RCS "$Id: Prefix.sig,v 1.2 1998/08/13 11:38:00 pxs Exp $";
signature PREFIX =
sig
  structure A : ACT_PROTECTED
  type prefix
  structure PrefixSet : ORDERED_SET
  where type Element.element = prefix
  val portsOfPrefixes : PrefixSet.set -> A.PortSet.set (* Perdita name? *)
  val symbolsOf : prefix list -> A.Value'.symbol list (* set? *)
  val usesValues : prefix -> bool
  val prefixFromAction : A.act -> prefix
  val hashval  : prefix -> word
  val makePrefix : string * string option -> prefix
  val prefixString : prefix -> string
  val le : prefix * prefix -> bool
  val eq : prefix * prefix -> bool
  val unmake : prefix -> A.act * A.Value'.symbol option
end

  
