RCS "$Id: ActProtected.sig,v 1.3 1999/07/16 21:19:10 pxs Exp $";
(*  This is the private interface of SCCS Actions.                          *)
signature SCCS_ACT_PROTECTED =
sig
  include ACT
   structure P : PART
(* answer "are these complementary actions?" *)
   val inverses : act * act -> bool
   val ispart   : act -> bool
(* with polarities, but without multiplicities *)
   val parts    : act -> P.part list
   val partAct  : P.part -> act	(* coercion *)
   val product  : act * act -> act
   val relabel  : (act * P.part) list -> act -> act
   val permit   : P.part list -> act -> bool
end

