(* Like the global LEXING, but with a few extra useful functions. *)
signature LOGIC_PARSER =
  sig
    include LEXING
    include PARSE_LOGIC
    structure Ag : AGENT_WRAPPER
    val readProp : unit -> L.prop
    val readAgent : unit -> Ag.agent
    val readAgentPair : unit -> (Ag.agent * Ag.agent)
    val readAgentProp : unit -> (Ag.agent * L.prop)
  end
